Skip to main content
GET
/
form
/
human_input
/
{form_token}
获取人工介入表单
curl --request GET \
  --url https://{api_base_url}/form/human_input/{form_token} \
  --header 'Authorization: Bearer <token>'
{
  "form_content": "Please review the draft, set a priority, and confirm or request changes.",
  "inputs": [
    {
      "type": "paragraph",
      "output_variable_name": "feedback",
      "default": {
        "type": "constant",
        "selector": [],
        "value": ""
      }
    },
    {
      "type": "select",
      "output_variable_name": "priority",
      "option_source": {
        "type": "constant",
        "selector": [],
        "value": [
          "low",
          "medium",
          "high"
        ]
      }
    },
    {
      "type": "file",
      "output_variable_name": "attachment",
      "allowed_file_types": [
        "image",
        "document"
      ],
      "allowed_file_extensions": [],
      "allowed_file_upload_methods": [
        "local_file",
        "remote_url"
      ]
    },
    {
      "type": "file-list",
      "output_variable_name": "attachments",
      "allowed_file_types": [
        "image",
        "document"
      ],
      "allowed_file_extensions": [],
      "allowed_file_upload_methods": [
        "local_file",
        "remote_url"
      ],
      "number_limits": 5
    }
  ],
  "resolved_default_values": {
    "feedback": ""
  },
  "user_actions": [
    {
      "id": "approve",
      "title": "Approve",
      "button_style": "primary"
    },
    {
      "id": "reject",
      "title": "Request changes",
      "button_style": "default"
    }
  ],
  "expiration_time": 1745510400
}

Authorizations

Authorization
string
header
required

API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。

Path Parameters

form_token
string
required

暂停表单的访问令牌,由流式模式下执行工作流或发送对话消息接口返回的 human_input_required 事件提供。

Response

表单内容获取成功。

form_content
string

已替换工作流变量的预渲染表单正文。

inputs
object[]

表单输入字段定义。

resolved_default_values
object

用于在表单中展示的预渲染默认值,按输入的 output_variable_name 分组。仅当 paragraph 输入的默认值可由工作流变量解析时填充;无可解析默认值的输入为空。客户端请直接展示这些值,无需在前端再次解析 default。所有值均为字符串。

user_actions
object[]

可用的提交操作。

expiration_time
integer<int64> | null

Unix 时间戳(秒),超过该时间后表单将不可提交。

Last modified on June 26, 2026